Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.needle
Class MiddlePinNeedle

    java.lang.Object
      org.jfree.chart.needle.MeterNeedle
          org.jfree.chart.needle.MiddlePinNeedle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MiddlePinNeedle

extends MeterNeedle
implements java.lang.Cloneable, java.io.Serializable

A needle that is drawn as a pin shape.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.needle.MeterNeedle
`transform`

Constructor Summary
`MiddlePinNeedle()`

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this needle.
`protected void` | `drawNeedle(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea, java.awt.geom.Point2D rotate, double angle)` Draws the needle.
`boolean` | `equals(java.lang.Object object)` Tests another object for equality with this object.

Methods inherited from class org.jfree.chart.needle.MeterNeedle
`defaultDisplay, draw, draw, draw, getFillPaint, getHighlightPaint, getOutlinePaint, getOutlineStroke, getRotateX, getRotateY, getSize, getTransform, setFillPaint, setHighlightPaint, setOutlinePaint, setOutlineStroke, setRotateX, setRotateY, setSize`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiddlePinNeedle

    public MiddlePinNeedle()

Method Detail

### drawNeedle

    protected void drawNeedle(java.awt.Graphics2D g2,
                              java.awt.geom.Rectangle2D plotArea,
                              java.awt.geom.Point2D rotate,
                              double angle)

  Draws the needle.

  Specified by:
    `drawNeedle` in class `MeterNeedle`
  Parameters:
    `g2` - the graphics device.
    `plotArea` - the plot area.
    `rotate` - the rotation point.
    `angle` - the angle.

### equals

    public boolean equals(java.lang.Object object)

  Tests another object for equality with this object.

  Overrides:
    `equals` in class `MeterNeedle`
  Parameters:
    `object` - the object to test.
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this needle.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if the `MiddlePinNeedle` cannot be cloned (in theory, this should not happen).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD